%define pkg_name        Rose-DB-Object
%define pkg_version     0.765
%define rpm_pkg_version 0.76_5
%define rpm_pkg_release 1.n0i.3

Summary:       Extensible, high performance RDBMS-OO mapper
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/J/JS/JSIRACUSA/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Bit::Vector::Overload)
BuildRequires: perl(Clone) >= 0.2
BuildRequires: perl(Cwd)
BuildRequires: perl(DBI) >= 1.4
BuildRequires: perl(DateTime)
BuildRequires: perl(File::Path)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Math::BigInt) >= 1.77
BuildRequires: perl(Rose::DB) >= 0.735
BuildRequires: perl(Rose::DateTime::Util) >= 0.532
BuildRequires: perl(Rose::Object) >= 0.83
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Time::Clock)


%description
Rose::DB::Object is a base class for objects that encapsulate a single row
in a database table.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes


%changelog
* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.76_5-1.n0i.3.0.765
- version 0.765

* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.76_4-1.n0i.2.0.764
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- version 0.764

* Mon Jul 03 2006 Marius Feraru <altblue@n0i.net> - 0.74-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.12.1
- rebuild on perl 5.8.8
